## ros-indigo-moveit-ros 0.7.14

=== debian/changelog ===
ros-indigo-moveit-ros (0.7.14-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros (0.7.13-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros (0.7.12-1trusty) trusty; urgency=high

  * Support for MultiDoF only trajectories
  * RobotStateVisualization: clear before load to avoid segfault
    rviz::Robot deletes its complete SceneNode structure in the load() method.
    However, RobotStateVisualization::render_shapes_ keeps raw pointers
    to some of these nodes (the attached objects), so these should be cleared
    to avoid broken pointers.
    Additionally the order of clearing was bad: the attached objects should
    be removed first, and rviz::Robot only afterwards to avoid similar problems.
  * fixed numpy.ndarray indices bug (from #86 <https://github.com/ros-planning/moveit/issues/86>) (#450 <https://github.com/ros-planning/moveit/issues/450>) (#563 <https://github.com/ros-planning/moveit/issues/563>)
  * [moveit_planners] Optional forced use of JointModelStateSpaceFactory (#541 <https://github.com/ros-planning/moveit/issues/541>)
    * Implements optional ompl_planning config parameter 'force_joint_model_state_space'.
    * Renames parameter to 'enforce_joint_model_state_space'.
    Expands workaround comment.
  * [moveit_core][moveit_planners] Fixing segfault due to missing string format parameter. (#547 <https://github.com/ros-planning/moveit/issues/547>)
  * [moveit_core][moveit_planners] Merge pull request #540 <https://github.com/ros-planning/moveit/issues/540> from gavanderhoorn/msa_add_jade_xacro_enable_chkbox
    MSA: support loading xacros that use Jade+ extensions on Indigo
  * [moveit_core][moveit_planners] setup_assistant: explain purpose of the 'Jade+ xacro' checkbox with tooltip.
  * [moveit_core][moveit_planners] setup_assistant: only persist 'jade xacro' key if it's been set.
  * [moveit_core][moveit_planners] setup_assistant: persist whether Jade+ xacro is needed when loading existing config.
  * [moveit_core][moveit_planners] setup_assistant: support enabling Jade+ xacro in wizard.
    This allows loading xacros that make use of the extensions to xacro that were
    added in Jade and newer ROS releases on Indigo.
  * [moveit_core][moveit_planners] Fixed doc-comment for robot_state::computeAABB (#516 <https://github.com/ros-planning/moveit/issues/516>)
    The docstring says the format of the vector is (minx, miny, minz, maxx, maxy, maxz), but according to both the method's implementation and use in moveit, the format is rather (minx, maxx, miny, maxy, minz, maxz).
  * [moveit_core][moveit_planners] setup assistant: add use_gui param to demo.launch
    It bugged me for quite some time now that one has to edit the launch file
    just to be able to move the "real" robot around in demo mode.
    Thus I want to expose the option as a parameter in the launch file.
  * Contributors: Christopher Schindlbeck, G.A. vd. Hoorn, Martin Pecka, Notou, gavanderhoorn, henhenhen, v4hn

 -- Ioan Sucan <isucan@gmail.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros (0.7.9-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros (0.7.8-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros (0.7.7-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros (0.7.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros (0.7.1-1trusty) trusty; urgency=high

  * [feat] Adding acceleration scaling factor
  * [fix] widget naming issues
  * [fix] conflict issues
  * [fix] Remove OpenMP parallelization (fixes #563 <https://github.com/ros-planning/moveit_ros/issues/563>)
  * [sys] explicitly link rviz' default_plugin library. The library is not exported anymore and now is provided separately from rviz_LIBRARIES. See https://github.com/ros-visualization/rviz/pull/979 for details.
  * [doc] [move_group.cpp] Print the name of the move group action server that failed to be connected (#640 <https://github.com/ros-planning/moveit_ros/issues/640>)
  * Contributors: Stefan Kohlbrecher, v4hn, Dave Coleman, Isaac I.Y. Saito, hemes

 -- Ioan Sucan <isucan@gmail.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@gmail.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@gmail.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros (0.6.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sat, 20 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros (0.6.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 03 Dec 2014 08:00:00 -0000


